Bug 771920 - (CVE-2011-4924) CVE-2011-4924 Zope: Incomplete upstream patch for CVE-2010-1104 issue
CVE-2011-4924 Zope: Incomplete upstream patch for CVE-2010-1104 issue
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120118,repor...
: Security
Depends On: 783114
Blocks: 771933
  Show dependency treegraph
 
Reported: 2012-01-05 06:53 EST by Jan Lieskovsky
Modified: 2012-01-19 10:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-01-05 06:53:04 EST
Originally, Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1104 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in Zope 2.8.x before 2.8.12, 2.9.x before 2.9.12, 2.10.x before 2.10.11, 2.11.x before 2.11.6, and 2.12.x before 2.12.3 allows remote attackers to inject arbitrary web script or HTML via vectors related to error messages.

Later the applied upstream patch was found to be incomplete. The CVE identifier of CVE-2011-4924 has been assigned to this incomplete fix with the issue description as follows:

A cross site scripting (XSS) flaw was found in the way Zope2 and Zope3 performed error messages sanitization. If a remote attacker could trick a user, who was logged into Zope2, into visiting a specially-crafted URL, it would lead to arbitrary web script execution in the context of user's Zope2 session. If a remote attacker could trick a user, who was logged into Zope3, into examining error entries for particular Zope3 instance, it would lead to arbitrary web script execution in the context of user's Zope3 session.
Comment 4 Jan Lieskovsky 2012-01-05 07:04:07 EST
This issue affects the version of the conga package as shipped with
Red Hat Cluster Suite for Red Hat Enterprise Linux 4.

This issue does NOT affect the version of the conga package as shipped with
Red Hat Enterprise Linux 5 as it did not include the incomplete patch for
CVE-2010-1104 issue.
--

This issue affects the version of the zope package as shipped with
Fedora EPEL 5.
Comment 5 Jan Lieskovsky 2012-01-05 07:42:53 EST
The CVE identifier of CVE-2011-4924 has been assigned to this issue.
Comment 6 Jan Lieskovsky 2012-01-10 04:54:22 EST
Zope 3 upstream bug (private for now):
[2] https://bugs.launchpad.net/zope3/+bug/914176
Comment 7 Jan Lieskovsky 2012-01-12 10:43:21 EST
Preliminary embargo date for this issue has been set up to next Wednesday, 2012-01-18.
Comment 8 Jan Lieskovsky 2012-01-18 04:23:37 EST
New Zope3 zope.error v3.7.3 version has been released to correct this issue:
[3] http://pypi.python.org/pypi/zope.error/3.7.3

Relevant Zope 3 upstream patch:
[4] http://svn.zope.org/zope.error/trunk/?rev=124062&view=rev
Comment 9 Jan Lieskovsky 2012-01-19 06:38:40 EST
Zope2 v2.12.22 and Zope2 v2.13.12 hotfix announcement:
[5] https://mail.zope.org/pipermail/zope-dev/2012-January/043987.html

PyPi Zope_Hotfix_CVE_2010_1104 1.0 reference:
[6] http://pypi.python.org/pypi/Products.Zope_Hotfix_CVE_2010_1104

Zope2 Hotfix_CVE_2010_1104 SVN entries:
[7] http://svn.zope.org/Products.Zope_Hotfix_CVE_2010_1104/?rev=124087&sortby=log#dirlist

Zope2 v2.12.22 Changelog:
[8] http://pypi.python.org/pypi/Zope2/2.12.22#id1

Zope2 v2.13.12 Changelog:
[9] http://pypi.python.org/pypi/Zope2/2.13.12#id1
Comment 11 Jan Lieskovsky 2012-01-19 07:22:35 EST
OSS security CVE-2011-4924 assignment notification:
[10] http://www.openwall.com/lists/oss-security/2012/01/19/16
Comment 12 Jan Lieskovsky 2012-01-19 07:24:25 EST
Created zope tracking bugs for this issue

Affects: epel-5 [bug 783114]

Note You need to log in before you can comment on or make changes to this bug.